Bug 1020078 - Resume from suspend state does not work.
Resume from suspend state does not work.
Status: CLOSED DUPLICATE of bug 1010603
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-16 20:34 EDT by Jouni Kivilahti
Modified: 2013-10-23 12:01 EDT (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 12:01:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output after erroneus resume from suspend state (151.74 KB, text/plain)
2013-10-16 20:34 EDT, Jouni Kivilahti
no flags Details
messages_3.11_gnome_NOK (185.08 KB, text/plain)
2013-10-19 14:06 EDT, openfred
no flags Details
messages_3.9.5_gnome_OK (332.19 KB, text/plain)
2013-10-19 14:06 EDT, openfred
no flags Details
messages_3.11_pm_OK (271.51 KB, text/plain)
2013-10-19 14:07 EDT, openfred
no flags Details
messages_3.9.5_pm_OK (250.28 KB, text/plain)
2013-10-19 14:08 EDT, openfred
no flags Details
Can't reboot (507 bytes, text/plain)
2013-10-19 14:09 EDT, openfred
no flags Details
Can't reboot (421 bytes, text/plain)
2013-10-19 14:09 EDT, openfred
no flags Details
core.2539.1382505422.txt (10.57 KB, text/plain)
2013-10-23 01:51 EDT, openfred
no flags Details
core.1864.1382506260.txt (11.48 KB, text/plain)
2013-10-23 01:53 EDT, openfred
no flags Details

  None (edit)
Description Jouni Kivilahti 2013-10-16 20:34:51 EDT
Created attachment 813149 [details]
dmesg output after erroneus resume from suspend state

Description of problem:

The laptop resumes from suspend state, but cannot connect to any networks, since networkmanager shows every net device as "unmanaged". "reboot" does not work, terminal can be started, though "sudo su -" takes half a minute before it asks for password. Then: 

[root@localhost ~]# reboot
Failed to open /dev/initctl: No such device or address
Failed to talk to init daemon.

Then.. just "sync;reboot -f". Any shutdown request from menus will not work.

Version-Release number of selected component (if applicable):


How reproducible:

Close the lid & open it on my laptop. On some kernel versions this does not seem to happen.

Steps to Reproduce:
1. Close lid
2. Open lid
3. Wonder, what happened.

Actual results:

Dmesg shows weird things, I do not fully comprehend. Plus, reboot does not work and no network connections.

Expected results:

Resuming from suspend state successfully.

Additional info:

This error seems to occur with some kernel versions. Not all of them. Unfortunately I have not written down, which ones.
Comment 1 openfred 2013-10-19 14:04:48 EDT
Same bug for me.
Laptop Thinkpad T500, internal graphic card only (Intel), intel wifi (module iwlwifi).

I fresh installed Fedora 19 gnome i686 from live media. I added gnome-shell-extension-alternative-status-menu, and gnome-tweak-tool in order to activate the extension.

With kernel 3.9.5-301, I can suspend and resume (using menu) 5, 6 times, no problem when resuming. Wifi come back, within gdm (before login) or when I am logged in.

With kernel 3.11.4-201, gnome suspend fails to restore wifi. Impossible to reboot.

Remark: I updated the system, and I have done the test with an updated system, I re-installed original kernel 3.9.5 after updates, to test.

Attached: lspci for the laptop.
/var/log/messages for gnome suspend (menu) with 3.11.4
/var/log/messages for gnome suspend (menu) with 3.9.5
messages for pm-suspend, for both kernel.

For information, logs with pm-suspend, which is working well !

messages_3.11_gnome_NOK
messages_3.11_pm_OK
messages_3.9.5_gnome_OK
messages_3.9.5_pm_OK
err_3.11_v1 

Fred
Comment 2 openfred 2013-10-19 14:06:12 EDT
Created attachment 814064 [details]
messages_3.11_gnome_NOK
Comment 3 openfred 2013-10-19 14:06:52 EDT
Created attachment 814065 [details]
messages_3.9.5_gnome_OK
Comment 4 openfred 2013-10-19 14:07:30 EDT
Created attachment 814066 [details]
messages_3.11_pm_OK
Comment 5 openfred 2013-10-19 14:08:13 EDT
Created attachment 814067 [details]
messages_3.9.5_pm_OK
Comment 6 openfred 2013-10-19 14:09:06 EDT
Created attachment 814068 [details]
Can't reboot
Comment 7 openfred 2013-10-19 14:09:33 EDT
Created attachment 814069 [details]
Can't reboot
Comment 8 Jan Pazdziora 2013-10-20 21:03:00 EDT
Please note that there is bug 987128, currently tracked against NetworkManager, which might actually be a duplicate of this one.
Comment 9 openfred 2013-10-21 09:14:21 EDT
Agreed it seems similar (as per my comments 25/26/27 on bug #987128)

Except that Bug #987128 is related to Xfce, not gnome.
Plus on my machine, networks never comes back...
Plus the laptop becomes stuck (see "can't reboot" attachments)...

Bug #987128 is searching for solution about NetworkManager.

Giving the facts that changing the booting kernel, on exactly the same F19 installation (same services for ex.), bring to a functional or buggy suspend from resume: it seems that it is more a kernel regression than a NetworkManager bug.
(or both :-))

Indeed, it is becoming so complicated nowadays, with systemd, dbus, upower, NetworkManager, gnome etc... that I am unable to find out why the hell Gnome is not able to simply resume from suspend, on a pm-suspend supported machine !!!

I don't think this bug is a duplicate, but I may be wrong.
As I am following both bugs, if something happens before traditional "End of life", I'll update the cases...
Comment 10 openfred 2013-10-22 03:18:04 EDT
I tested livecd of Ubuntu 13.10 as it is using Gnome 3.8 and kernel 3.11 as well.
There is no problem to resume from suspend at all !!!

As Ubuntu is still using their upstart init system, it may make sense that F19 issue is more related to systemd/dbus rather than kernel 3.11.

Considering attachment:  messages_3.11_gnome_NOK

Line 1829:
Oct 19 11:53:02 localhost kernel: [  115.823769] traps: systemd[1] general protection ip:b73352c0 sp:bfbcfaac error:0 in libc-2.17.so[b731e000+1b8000]
Oct 19 11:53:02 localhost kernel: [  115.824700] Core dump to |/usr/libexec/abrt-hook-ccpp 11 4294967295 2147 0 0 1382176382 e pipe failed
Oct 19 11:53:02 localhost systemd[1]: Caught <SEGV>, core dump failed.

And then line 1835
Oct 19 11:53:02 localhost systemd-cgroups-agent[2151]: Failed to get D-Bus connection: Failed to connect to socket /org/freedesktop/systemd1/private: Connection refused
Oct 19 11:53:02 localhost systemd-cgroups-agent[2151]: Failed to get D-Bus connection: Failed to connect to socket /org/freedesktop/systemd1/private: Connection refused

Comparing with lines 1566 and such, where the resume is OK, it clear something wrong happens. Seems systemd is affected by a bug, and then dbus looses his mind.

How to affect this bug to systemd/dbus components developpers ???
Comment 11 li737 2013-10-22 08:48:38 EDT
I have exactly same problem with testing live image F20 x86 http://fedoraproject.org/wiki/Test_Day:2013-10-22_Graphics_Intel#Live_image.
HW laptop HP nc6120

interesting message from journalctl after resume:
Oct 22 07:58:47 localhost kernel: PM: resume of devices complete after 1283.021 msecs
Oct 22 07:58:47 localhost kernel: PM: Finishing wakeup.
Oct 22 07:58:47 localhost kernel: Restarting tasks ... 
Oct 22 07:58:47 localhost kernel: traps: systemd[1] general protection ip:b739ba63 sp:bfb6ef38 error:0
Oct 22 07:58:47 localhost kernel:  in libc-2.18.so[b731b000+1b8000]
Oct 22 07:58:47 localhost kernel: Core dump to |/usr/libexec/abrt-hook-ccpp 11 4294967295 1789 0 0 1382443127 e pipe failed
Oct 22 07:58:47 localhost kernel: done.
Comment 12 Zbigniew Jędrzejewski-Szmek 2013-10-22 09:40:08 EDT
Looks like an issue in systemd. It would be nice to get a backtrace from this crash. Could you do (temporarily):

sysctl kernel/core_pattern=/var/tmp/core.%p.%t

and trigger the bug and then post the output from

gdb /usr/lib/systemd/systemd /var/tmp/core.1.XXX
bt all

?? Please keep the corefile around for now. Thanks.
Comment 13 li737 2013-10-22 10:12:32 EDT
I tried it, but gdb didn't work good. Here is output:

[liveuser@localhost ~]$ su -
[root@localhost ~]# sysctl kernel/core_pattern=/var/tmp/core.%p.%t
kernel.core_pattern = /var/tmp/core.%p.%t
[root@localhost ~]# ls /var/tmp
abrt  core.1713.1382450400  systemd-private-8q9ldb
[root@localhost ~]# gdb /usr/lib/systemd/systemd /var/tmp/core.1713.1382450400
GNU gdb (GDB) Fedora 7.6.50.20130731-12.fc20
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word".
..
Reading symbols from /usr/lib/systemd/systemd...Reading symbols from /usr/lib/systemd/systemd...(no debugging symbols found)...done.
(no debugging symbols found)...done.
[New LWP 1713]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/lib/systemd/systemd --switched-root --system --deserialize 25'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0xb7675424 in __kernel_vsyscall ()
Missing separate debuginfos, use: debuginfo-install systemd-208-2.fc20.i686
(gdb) bt all
No symbol table is loaded.  Use the "file" command.
(gdb)
Comment 14 Zbigniew Jędrzejewski-Szmek 2013-10-22 10:34:21 EDT
Please quit gdb, run debuginfo-install systemd-208-2.fc20.i686, and try gdb again with the same corefile.
Comment 15 li737 2013-10-22 11:50:57 EDT
done. No symbol "all"

[root@localhost ~]# sysctl kernel/core_pattern=/var/tmp/core.%p.%t
kernel.core_pattern = /var/tmp/core.%p.%t
[root@localhost ~]# ls /var/tmp
abrt  core.1835.1382456320  systemd-private-A3eZWZ
[root@localhost ~]# gdb /usr/lib/systemd/systemd /var/tmp/core.1835.1382456320
GNU gdb (GDB) Fedora 7.6.50.20130731-12.fc20
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i686-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>.
For help, type "help".
Type "apropos word" to search for commands related to "word".
..
Reading symbols from /usr/lib/systemd/systemd...Reading symbols from /usr/lib/debug/usr/lib/systemd/systemd.debug...done.
done.
[New LWP 1835]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/libthread_db.so.1".
Core was generated by `/usr/lib/systemd/systemd --switched-root --system --deserialize 23'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  0xb7644424 in __kernel_vsyscall ()
(gdb) bt all
No symbol "all" in current context.
(gdb)
Comment 16 Zbigniew Jędrzejewski-Szmek 2013-10-22 11:54:55 EDT
Oops, "bt full", not "bt all". Sorry.
Comment 17 li737 2013-10-22 12:31:50 EDT
done, output follows

(gdb) bt full
#0  0xb76b1424 in __kernel_vsyscall ()
No symbol table info available.
#1  0xb75678b6 in raise (sig=sig@entry=11)
    at ../nptl/sysdeps/unix/sysv/linux/pt-raise.c:37
        resultvar = <optimized out>
        resultvar = <optimized out>
        pid = <optimized out>
#2  0xb76c5317 in crash (sig=11) at ../src/core/main.c:143
        rl = {rlim_cur = 18446744073709551615, rlim_max = 18446744073709551615}
        sa = {__sigaction_handler = {sa_handler = 0x0, sa_sigaction = 0x0}, 
          sa_mask = {__val = {0 <repeats 32 times>}}, sa_flags = 0, 
          sa_restorer = 0x0}
        pid = 0
        __func__ = "crash"
        __PRETTY_FUNCTION__ = "crash"
#3  <signal handler called>
No symbol table info available.
#4  0xb73b23c0 in free@plt () from /lib/libc.so.6
No symbol table info available.
#5  0xb73dfbd5 in _IO_vfprintf_internal (s=s@entry=0xbfd0e9f0, 
    format=<optimized out>, 
    format@entry=0xb77914d4 "PRIORITY=%i\nSYSLOG_FACILITY=%i\n%s%.*s%s%s%.*i%s%s%.*s%s%s%.*s%sSYSLOG_IDENTIFIER=%s\n", 
---Type <return> to continue, or q <return> to quit---
    ap=0xbfd0eb48 "|%y\267\272\023y\267\001", ap@entry=0xbfd0eb34 "\006")
    at vfprintf.c:1635
        len = <optimized out>
        string_malloced = <optimized out>
        step0_jumps = {0, -4264, -1331, -1256, -1174, -1099, -1006, -843, 
          -644, 1102, 1207, 1945, -4349, -4434, -4189, -3941, -3197, -3104, 
          -3092, -3080, -2249, -22, -2420, -2492, -1764, -2014, -2765, -4434, 
          -4349, -918}
        space = 0
        is_short = 0
        use_outdigits = 0
        step1_jumps = {0, 0, 0, 0, 0, 0, 0, 0, 0, 1102, 1207, 1945, -4349, 
          -4434, -4189, -3941, -3197, -3104, -3092, -3080, -2249, -22, -2420, 
          -2492, -1764, -2014, -2765, -4434, -4349, 0}
        group = 0
        prec = 2048
        step2_jumps = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1207, 1945, -4349, -4434, 
          -4189, -3941, -3197, -3104, -3092, -3080, -2249, -22, -2420, -2492, 
          -1764, -2014, -2765, -4434, -4349, 0}
        string = <optimized out>
        left = 0
        is_long_double = 0
        width = 0
---Type <return> to continue, or q <return> to quit---
        step3a_jumps = {0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 1563, 0, 0, 0, -4189, 
          -3941, -3197, -3104, -3092, 0, 0, 0, 0, -2492, 0, 0, 0, 0, 0, 0}
        alt = 0
        showsign = 0
        is_long = 0
        is_char = 0
        pad = 32 ' '
        step3b_jumps = {0 <repeats 11 times>, -4349, 0, 0, -4189, -3941, 
          -3197, -3104, -3092, -3080, -2249, -22, -2420, -2492, -1764, -2014, 
          -2765, 0, 0, 0}
        step4_jumps = {0 <repeats 14 times>, -4189, -3941, -3197, -3104, 
          -3092, -3080, -2249, -22, -2420, -2492, -1764, -2014, -2765, 0, 0, 0}
        is_negative = <optimized out>
        base = <optimized out>
        the_arg = {pa_wchar = 1768186223 L'\x6964616f', pa_int = 1768186223, 
          pa_long_int = 1768186223, pa_long_long_int = 5983708778827374959, 
          pa_u_int = 1768186223, pa_u_long_int = 1768186223, 
          pa_u_long_long_int = 5983708778827374959, 
          pa_double = 1.0757191194384768e+92, 
          pa_long_double = <invalid float value>, 
          pa_string = 0x6964616f <Address 0x6964616f out of bounds>, 
          pa_wstring = 0x6964616f <Address 0x6964616f out of bounds>, 
          pa_pointer = 0x6964616f, pa_user = 0x6964616f}
---Type <return> to continue, or q <return> to quit---
        spec = 115 's'
        _buffer = {__routine = 0x44495f47, __arg = 0x49544e45, 
          __canceltype = 1380272454, __prev = 0x7379733d}
        _avail = <optimized out>
        thousands_sep = 0x0
        grouping = 0xffffffff <Address 0xffffffff out of bounds>
        done = 39
        f = 0xb77914f8 "s%s%s%.*i%s%s%.*s%s%s%.*s%sSYSLOG_IDENTIFIER=%s\n"
        lead_str_end = <optimized out>
        end_of_spec = <optimized out>
        work_buffer = '\000' <repeats 36 times>, "R\321@\267\377\377\377\377\000\000\000\000\000\000\000\000\212\354п\000\000\000\000\000\000\000\000\004\000\000\000\000\000\000\000\373\377\377\377\000\000 \000\315\343=\267\000PU\267p\353п\263#y\267H\353пj\362=\267p\353п\263#y\267\005", '\000' <repeats 15 times>, "\rry\267\364\353п", '\000' <repeats 56 times>, "\374\377\377\377\000\000\000\000\000\000\000\000\213"...
        workstart = 0x0
        workend = 0xbfd0e4c0 ""
        ap_save = 0xbfd0eb34 "\006"
        nspecs_done = 3
        save_errno = <optimized out>
        readonly_format = 0
        args_malloced = 0x0
---Type <return> to continue, or q <return> to quit---
        specs = <optimized out>
        specs_malloced = false
        jump_table = "\001\000\000\004\000\016\000\006\000\000\a\002\000\003\t\000\005\b\b\b\b\b\b\b\b\b\000\000\000\000\000\000\000\032\000\031\000\023\023\023\000\035\000\000\f\000\000\000\000\000\000\025\000\000\000\000\022\000\r\000\000\000\000\000\000\032\000\024\017\023\023\023\n\017\034\000\v\030\027\021\026\f\000\025\033\020\000\000\022\000\r"
#6  0xb74a1fa0 in ___vsnprintf_chk (
    s=s@entry=0xbfd0eebc "PRIORITY=6\nSYSLOG_FACILITY=3\nCODE_FILE=\270l", 
    maxlen=<optimized out>, maxlen@entry=2048, flags=flags@entry=1, 
    slen=slen@entry=4294967295, 
    format=format@entry=0xb77914d4 "PRIORITY=%i\nSYSLOG_FACILITY=%i\n%s%.*s%s%s%.*i%s%s%.*s%s%s%.*s%sSYSLOG_IDENTIFIER=%s\n", 
    args=args@entry=0xbfd0eb34 "\006") at vsnprintf_chk.c:63
        sf = {f = {_sbf = {_f = {_flags = -72515583, 
                _IO_read_ptr = 0xbfd0eebc "PRIORITY=6\nSYSLOG_FACILITY=3\nCODE_FILE=\270l", 
                _IO_read_end = 0xbfd0eebc "PRIORITY=6\nSYSLOG_FACILITY=3\nCODE_FILE=\270l", 
                _IO_read_base = 0xbfd0eebc "PRIORITY=6\nSYSLOG_FACILITY=3\nCODE_FILE=\270l", 
                _IO_write_base = 0xbfd0eebc "PRIORITY=6\nSYSLOG_FACILITY=3\nCODE_FILE=\270l", _IO_write_ptr = 0xbfd0eee3 "\270l", _IO_write_end = 0xbfd0f6bb "\270", 
---Type <return> to continue, or q <return> to quit---
                _IO_buf_base = 0xbfd0eebc "PRIORITY=6\nSYSLOG_FACILITY=3\nCODE_FILE=\270l", _IO_buf_end = 0xbfd0f6bb "\270", _IO_save_base = 0x0, 
                _IO_backup_base = 0x0, _IO_save_end = 0x0, _markers = 0x0, 
                _chain = 0x0, _fileno = 0, _flags2 = 4, _old_offset = 0, 
                _cur_column = 0, _vtable_offset = 0 '\000', 
                _shortbuf = "\267", _lock = 0x0, _offset = 0, 
                _codecvt = 0xb747fa82 <___fxstat64+34>, 
                _wide_data = 0xffffffff, _freeres_list = 0x0, 
                _freeres_buf = 0x3, _freeres_size = 4096, _mode = -1, 
                _unused2 = "\000\004\000\000x\002\266\270\000PU\267x\002\266\270\335\361?\267x\002\266\270\000\000i\267\000\004i\267\001\000\000\000\377\377\377\377"}, vtable = 0xb7554900 <_IO_strn_jumps>}, _s = {_allocate_buffer = 0x0, 
              _free_buffer = 0xb74a1fa0 <___vsnprintf_chk+208>}}, 
          overflow_buf = "\003", '\000' <repeats 11 times>, "}Q\000\000$\201\000\000\001", '\000' <repeats 32 times>, "\004\000\000\000\000\000\000\000\000\000"}
        ret = <optimized out>
#7  0xb74a1ec7 in ___snprintf_chk (
    s=s@entry=0xbfd0eebc "PRIORITY=6\nSYSLOG_FACILITY=3\nCODE_FILE=\270l", 
    maxlen=maxlen@entry=2048, flags=flags@entry=1, slen=slen@entry=4294967295, 
    format=format@entry=0xb77914d4 "PRIORITY=%i\nSYSLOG_FACILITY=%i\n%s%.*s%s%s%.*i%s%s%.*s%s%s%.*s%sSYSLOG_IDENTIFIER=%s\n") at snprintf_chk.c:34
        arg = 0xbfd0eb34 "\006"
---Type <return> to continue, or q <return> to quit---
        done = 2048
#8  0xb772ff06 in snprintf (
    __fmt=0xb77914d4 "PRIORITY=%i\nSYSLOG_FACILITY=%i\n%s%.*s%s%s%.*i%s%s%.*s%s%s%.*s%sSYSLOG_IDENTIFIER=%s\n", __n=2048, 
    __s=0xbfd0eebc "PRIORITY=6\nSYSLOG_FACILITY=3\nCODE_FILE=\270l")
    at /usr/include/bits/stdio2.h:64
No locals.
#9  log_do_header (
    header=header@entry=0xbfd0eebc "PRIORITY=6\nSYSLOG_FACILITY=3\nCODE_FILE=\270l", level=level@entry=30, file=file@entry=0xb775ee47 "../src/core/manager.c", 
    line=line@entry=1736, 
    func=func@entry=0xb7760736 <__func__.13174> "process_event", 
    object_name=object_name@entry=0x0, object=object@entry=0x0, size=2048)
    at ../src/shared/log.c:445
No locals.
#10 0xb77316db in log_struct_internal (level=30, level@entry=6, 
    file=file@entry=0xb775ee47 "../src/core/manager.c", line=line@entry=1736, 
    func=func@entry=0xb7760736 <__func__.13174> "process_event", 
    format=format@entry=0xb775fdcc "MESSAGE_ID=%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x%02x") at ../src/shared/log.c:750
        i = <optimized out>
        nl = 10 '\n'
        header = "PRIORITY=6\nSYSLOG_FACILITY=3\nCODE_FILE=\270l\000\000\000l\00---Type <return> to continue, or q <return> to quit---
0\000\000\200lZ\267g\312[\267\000\320]\267\204\357п\265pZ\267|\001\247\270g\000\000\000l\000\000\000\224\357пGlZ\267\000\320]\267\060\307[\267\227gZ\267g\000\000\000z\000\000\000l\000\000\000\200lZ\267|\001\247\270{\000\000\000\231oZ\267\000\320]\267g\312[\267\000\320]\267\324\357п\265pZ\267|\001\247\270g\000\000\000l\000\000\000\344\357пGoZ\267\000\320]\267\060\307[\267\227gZ\267g\000\000\000z\000\000\000\300\362п\200lZ\267|\001\247\270{\000\000\000\231"...
        iovec = {{iov_base = 0x0, iov_len = 0} <repeats 17 times>}
        n = 0
        mh = {msg_name = 0x0, msg_namelen = 0, msg_iov = 0xbfd0ec34, 
          msg_iovlen = 0, msg_control = 0x0, msg_controllen = 0, msg_flags = 0}
        _saved_errno_ = 0
        ap = <optimized out>
        r = <optimized out>
        __PRETTY_FUNCTION__ = "log_struct_internal"
#11 0xb76cd350 in process_event (ev=0xbfd0f778, m=<optimized out>)
    at ../src/core/manager.c:1733
        u = <optimized out>
        i = 0xb8a00528
        r = <optimized out>
        w = 0xb8a669b4
#12 manager_loop (m=0xb8a66938) at ../src/core/manager.c:1858
        event = {events = 1, data = {ptr = 0xb8a669b4, fd = -1197053516, 
            u32 = 3097913780, u64 = 3097913780}}
---Type <return> to continue, or q <return> to quit---
        n = <optimized out>
        wait_msec = <optimized out>
        r = <optimized out>
        rl = {interval = 1000000, begin = 179297168, burst = 50000, num = 6}
        __PRETTY_FUNCTION__ = "manager_loop"
        __func__ = "manager_loop"
#13 0xb76c2a0e in main (argc=5, argv=0xbfd0fcc4) at ../src/core/main.c:1652
        m = 0xb8a66938
        r = <optimized out>
        retval = 1
        before_startup = 8365371
        after_startup = <optimized out>
        timespan = "532.026ms\000\000\000\000\000\000\000\000\026G\211\000\200f\267\001\000\000\000(~f\267\323\320<\267\036\000\000\000}0\004,\001\000\000\000I\371k\267\271El\267\002\000\000\000\005\000\000"
        fds = 0x0
        reexecute = false
        shutdown_verb = 0x0
        initrd_timestamp = {realtime = 0, monotonic = 0}
        userspace_timestamp = {realtime = 1382465810073432, 
          monotonic = 7629471}
        kernel_timestamp = {realtime = 1382465802443968, monotonic = 0}
        systemd = "systemd"
---Type <return> to continue, or q <return> to quit---
        skip_setup = false
        j = <optimized out>
        loaded_policy = true
        arm_reboot_watchdog = false
        queue_default_job = <optimized out>
        switch_root_dir = 0x0
        switch_root_init = 0x0
        saved_rlimit_nofile = {rlim_cur = 1024, rlim_max = 4096}
        __func__ = "main"
        __PRETTY_FUNCTION__ = "main"
(gdb)
Comment 18 openfred 2013-10-23 01:47:19 EDT
li737 is using F20 alpha and consequently systemd-208, whereas this bug was supposed to target F19 and systemd 204.
Anyway, F20 is using kernel 3.11.6, and is even worse as my T500 is not even going to sleep with F20 (Installed yesterday with beta-TC5)...

even after "debuginfo-install systemd-204-16.fc19.i686", gdb told me to install other packages:
Missing separate debuginfos, use: debuginfo-install libattr-2.4.46-10.fc19.i686 pcre-8.32-7.fc19.i686 zlib-1.2.7-10.fc19.i686
what I've done.

[fred@localhost ~]$ uname -a
Linux localhost.localdomain 3.11.4-201.fc19.i686.PAE #1 SMP Thu Oct 10 14:44:46 UTC 2013 i686 i686 i386 GNU/Linux
[fred@localhost ~]$ rpm -qa | grep ^systemd
systemd-204-16.fc19.i686
systemd-sysv-204-16.fc19.i686
systemd-debuginfo-204-16.fc19.i686
systemd-python-204-16.fc19.i686
systemd-libs-204-16.fc19.i686
[fred@localhost ~]$ ls -l /var/tmp/core*
-rw-------. 1 root root 2576384 23 oct.  07:31 /var/tmp/core.1864.1382506260
-rw-------. 1 root root 2576384 23 oct.  07:17 /var/tmp/core.2539.1382505422

core at 7:17 is when the bug occur.
core à 7:31 is a different crash that appear randomly, and that I am glad to catch: 1 time every 10 manuel suspend (using Gnome menu), when resuming the system get stuck at gdm screen, and I have to power down the laptop using power button.
Comment 19 openfred 2013-10-23 01:51:11 EDT
Created attachment 815229 [details]
core.2539.1382505422.txt
Comment 20 openfred 2013-10-23 01:53:11 EDT
Created attachment 815230 [details]
core.1864.1382506260.txt
Comment 21 Dominique Brazziel 2013-10-23 10:58:05 EDT
There is an open bug in kernel 3.11 that causes some of these same symptoms (systemd trap after resume, systemctl commands fail because connection to dbus failed with connection refused, etc.).  I have experienced this with kernel 3.11.1 on Fedora 18.

Further information is here:

https://bugzilla.kernel.org/show_bug.cgi?id=61781
https://bugzilla.redhat.com/show_bug.cgi?id=1010603
Comment 22 Michal Schmidt 2013-10-23 12:01:53 EDT
Yes, that's likely it. Thanks.

*** This bug has been marked as a duplicate of bug 1010603 ***

Note You need to log in before you can comment on or make changes to this bug.